View Issue Details

IDProjectCategoryView StatusLast Update
0001365SymmetricDSImprovementpublic2014-02-02 20:53
ReporterchensonAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.1 
Target Version3.5.2Fixed in Version3.5.2 
Summary0001365: Print out statistics if data rows in associated with a table/batch take longer than 60 seconds to process
DescriptionPrint out statistics if data rows in associated with a table/batch take longer than 60 seconds to process

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 727fec70

2013-08-03 15:20:16

chenson

Details Diff
0001365: Print out statistics if data rows in associated with a table/batch take longer than 60 seconds to process
0001364: Speed up bsh column transform by evaluating a transform as a method once and then call that method for each data element

0001365
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/DataProcessor.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/DbImport.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/transform/BshColumnTransform.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DataWriterStatisticConstants.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/TransformWriter.java Diff File
mod - symmetric-io/src/test/java/org/jumpmind/symmetric/io/data/writer/StagingDataWriterTest.java Diff File
mod - symmetric-util/src/main/java/org/jumpmind/util/Statistics.java Diff File

Issue History

Date Modified Username Field Change
2013-08-03 15:17 chenson New Issue
2013-08-03 15:17 chenson Status new => assigned
2013-08-03 15:17 chenson Assigned To => chenson
2013-08-03 15:19 chenson Status assigned => closed
2013-08-03 15:19 chenson Resolution open => fixed
2013-08-03 15:19 chenson Fixed in Version => 3.5.2
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7594
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 727fec70